[med-svn] [Git][med-team/dnaclust][master] Add autopkgtests
Saira Hussain
gitlab at salsa.debian.org
Thu Aug 8 14:13:33 BST 2019
Saira Hussain pushed to branch master at Debian Med / dnaclust
Commits:
16d4ae1d by Saira Hussain at 2019-08-08T13:13:22Z
Add autopkgtests
- - - - -
5 changed files:
- debian/changelog
- + debian/dnaclust
- + debian/tests/control
- + debian/tests/data/ebola.fasta
- + debian/tests/run-unit-tests
Changes:
=====================================
debian/changelog
=====================================
@@ -1,3 +1,12 @@
+dnaclust (3-7) UNRELEASED; urgency=medium
+
+ * Team upload.
+
+ [Saira Hussain]
+ * Add autopkgtests
+
+ -- Saira Hussain <saira.h0213 at zoho.com> Thu, 08 Aug 2019 13:08:28 +0100
+
dnaclust (3-6) unstable; urgency=medium
* debhelper 11
=====================================
debian/dnaclust
=====================================
@@ -0,0 +1 @@
+debian/tests/data/*
\ No newline at end of file
=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-tests
+Depends: @
+Restrictions: allow-stderr
=====================================
debian/tests/data/ebola.fasta
=====================================
The diff for this file was not included because it is too large.
=====================================
debian/tests/run-unit-tests
=====================================
@@ -0,0 +1,23 @@
+#!/bin/bash
+set -e
+
+pkg=dnaclust
+
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+ AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+ # Double quote below to expand the temporary directory variable now versus
+ # later is on purpose.
+ # shellcheck disable=SC2064
+# trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp /usr/share/doc/${pkg}/examples/* -a "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+gunzip -r *
+
+# Just for debugging
+set -x
+
+# Test a fasta
+${pkg} ebola.fasta -l -s 1.4 -k 3 > clusters
View it on GitLab: https://salsa.debian.org/med-team/dnaclust/commit/16d4ae1dcdac1e37c4fc2bc991f8d4235797a929
--
View it on GitLab: https://salsa.debian.org/med-team/dnaclust/commit/16d4ae1dcdac1e37c4fc2bc991f8d4235797a929
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20190808/2cf1c615/attachment-0001.html>
More information about the debian-med-commit
mailing list